LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XChartShapeContainer Interface Reference

`import "XChartShapeContainer.idl";`

Inheritance diagram for XChartShapeContainer:

## Public Member Functions
void | addShape ([in] com::sun::star::drawing::XShape xShape)
| a renderer creates ChartShapes and adds it to this container
void | removeShape ([in] com::sun::star::drawing::XShape xShape)
| a renderer can remove ChartShapes from this container (e.g.
com::sun::star::drawing::XShape | getShape ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Function Documentation

## ◆ addShape()

void addShape | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

a renderer creates ChartShapes and adds it to this container

## ◆ getShape()

com::sun::star::drawing::XShape getShape | ( |  | ) |

## ◆ removeShape()

void removeShape | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

a renderer can remove ChartShapes from this container (e.g.

if the visible range has changed)

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XChartShapeContainer.idl